Some desktop icons disappear

Bug #1883174 reported by Satchit Bhogle on 2020-06-11
58
This bug affects 9 people
Affects Status Importance Assigned to Milestone
gnome-shell-extension-desktop-icons
Unknown
Unknown
gnome-shell-extension-desktop-icons (Ubuntu)
Low
Sergio Costas

Bug Description

OS: Ubuntu 20.04
GNOME: 3.36.2
Extension: 3.36.2

Sometimes, some icons in my Desktop folder just don't appear on the desktop. The missing icons aren't invisible, it's like they're not in the folder. Clicking on the empty space where they should be does nothing. Mousing over the empty space does nothing. See attached screenshot. As you can see, there are many missing.

Not consistently reproducible, but frequent.

This isn't great info, I know. Let me know what else I can provide.

Satchit Bhogle (satchitb) wrote :
Daniel van Vugt (vanvugt) wrote :

Please report the issue to the developer here:

  https://gitlab.gnome.org/World/ShellExtensions/desktop-icons/-/issues

and then tell us the new issue ID.

tags: added: focal
Changed in gnome-shell-extension-desktop-icons (Ubuntu):
status: New → Incomplete
Satchit Bhogle (satchitb) wrote :

This has already been reported by another person there. ID: https://gitlab.gnome.org/World/ShellExtensions/desktop-icons/-/issues/200

Changed in gnome-shell-extension-desktop-icons (Ubuntu):
status: Incomplete → Confirmed
Changed in gnome-shell-extension-desktop-icons (Ubuntu):
importance: Undecided → Low
status: Confirmed → Triaged
Daniel van Vugt (vanvugt) wrote :

Seems more important than Low, if it is reproducible to multiple people.

Anton Kranjec (vangelis1891) wrote :

I can confirm the problem. Upgrade was from 18.04 to 20.04 and 4th monitor added to new grophic card. Icons disappearing is happening daily. Not all icons disappear. Suspend and wake up retruns icons to its original place. Usually it happens when I save a Libre Writer document and close the Writer. Let me know if I can help further and how.

Evys Ancede Gallardo (eancedeg) wrote :

In a fresh installation of Ubuntu 20.04 this bug affect all my PCs(3).

adutzu89 (verbanady) wrote :

Ubuntu 20.04, with the same issue, sometimes a few disappear, sometimes all icons disappear.
The installation was done through fresh install.

jhubuntu20 (jhubuntu20) wrote :

@rastersoft-gmail

Sergio, what are the full steps involved in trying this patch? I tried to just download the new file desktopManager.js from your link and then replaced the file in the path "/usr/share/gnome-shell/extensions/desktop-icons@csoriano". I restarted and then I get an error in the extension saying it couldn't be loaded....

Changed in gnome-shell-extension-desktop-icons (Ubuntu):
assignee: nobody → Sergio Costas (rastersoft-gmail)
status: Triaged → In Progress
jhubuntu20 (jhubuntu20) wrote :

@rastersoft-gmail

Sergio, I went back through the merge request in more detail and have tried these steps :

- Download the patch code from the merge request
- Installed Meson
- Deleted the folder ($HOME/.local/share/gnome-shell/extensions/desktop-icons@csoriano)
- Unzipped the patch and built the patch with Meson/Ninja (it did recreate the local directory)
- Rebooted
- Went into tweaks and re-enabled the extension

After all this I did not notice any change in behavior. The problem is very easy to replicate in Ubuntu 20.04. Just place a simple text file on the desktop. Double click to open it and then change the file. When you hit save it breaks/hides all the icons and you must reboot or hit ALT+F2 then R to fix. Let me know if I missed any steps or if there is anything else I can do to help with the investigation...

I tried that, but I'm unable to reproduce that bug.

Can you check if there is any error message in the gnome shell logs? (you can see them from a terminal with "sudo journalctl /usr/bin/gnome-shell", and pressing the "END" key to go to the end of the file).

jhubuntu20 (jhubuntu20) wrote :
Download full text (7.1 KiB)

Sure, it must be some sort of interaction or missing dependency because I get it every single time I save a file that is on the desktop. I reproduced the error then immediately pulled the tail of the log you proposed. I do see a javascript error related to this extension...

Here is the full tail... (hard to read)

Sep 30 09:25:03 iP4o20Kn gnome-shell[1611]: Failed to set CRTC gamma: drmModeCrtcSetGamma on CRTC 48 failed: Permission denied
Sep 30 09:25:04 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym 31 with keysym 31 (keycode a).
Sep 30 09:25:04 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym 32 with keysym 32 (keycode b).
Sep 30 09:25:04 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym 33 with keysym 33 (keycode c).
Sep 30 09:25:04 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym 34 with keysym 34 (keycode d).
Sep 30 09:25:04 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym 35 with keysym 35 (keycode e).
Sep 30 09:25:04 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym 36 with keysym 36 (keycode f).
Sep 30 09:25:04 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym 37 with keysym 37 (keycode 10).
Sep 30 09:25:04 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym 38 with keysym 38 (keycode 11).
Sep 30 09:25:04 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym 39 with keysym 39 (keycode 12).
Sep 30 09:25:04 iP4o20Kn gnome-shell[3617]: GNOME Shell started at Wed Sep 30 2020 09:25:02 GMT-0400 (EDT)
Sep 30 09:25:04 iP4o20Kn gnome-shell[3617]: Registering session with GDM
Sep 30 09:25:18 iP4o20Kn gnome-shell[3617]: Could not create transient scope for PID 5236: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 5236 does not exist.
Sep 30 09:25:33 iP4o20Kn gnome-shell[3617]: Could not create transient scope for PID 5312: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 5312 does not exist.
Sep 30 09:25:35 iP4o20Kn gnome-shell[3617]: Could not create transient scope for PID 5316: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 5316 does not exist.
Sep 30 09:25:36 iP4o20Kn gnome-shell[3617]: Could not create transient scope for PID 5320: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 5320 does not exist.
Sep 30 09:26:06 iP4o20Kn gnome-shell[3617]: Could not create transient scope for PID 5400: GDBus.Error:org.freedesktop.DBus.Error.UnixProcessIdUnknown: Process with ID 5400 does not exist.
Sep 30 09:26:08 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym 31 with keysym 31 (keycode a).
Sep 30 09:26:08 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym 32 with keysym 32 (keycode b).
Sep 30 09:26:08 iP4o20Kn gnome-shell[3617]: Window manager warning: Overwriting existing binding of keysym ...

Read more...

Andre Ruiz (andre-ruiz) wrote :

My guess. “/home/ion420/Desktop/.goutputstream-0LONR0” is a temporary file, probably the editor is saving a new file to then move over the original one when you save. The extension notices the new file but when trying to get more info about it, it's gone (race condition). It probably does not recover well from this scenario.

Your guess is correct. The problem is that the line numbers in your log doesn't match my line numbers... Did you uninstall the gnome-shell-extensions-desktop-icons.deb package before installing the branch from gitlab?

jhubuntu20 (jhubuntu20) wrote :

I did not uninstall per say, I just deleted the .local directory as mentioned in the readme...

i.e. Deleted the folder ($HOME/.local/share/gnome-shell/extensions/desktop-icons@csoriano)

If there is a better way to clear and reinstall then let me know and I will be happy to try it out...

jhubuntu20 (jhubuntu20) wrote :

The editor I am using is just gedit 3.36.2, just fyi...

That's the problem: the package isn't installed in the local folder, but in
/usr. You must uninstall it.

El mié., 30 sept. 2020 16:26, John Hoff <email address hidden>
escribió:

> The editor I am using is just gedit 3.36.2, just fyi...
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1883174
>
> Title:
> Some desktop icons disappear
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/gnome-shell-extension-desktop-icons/+bug/1883174/+subscriptions
>

jhubuntu20 (jhubuntu20) wrote :

How do you uninstall it properly? I enabled it through the https://extensions.gnome.org/ page, but there is not an uninstall option there. It does not show up as an installed .deb in ubuntu software, so I am assuming we need to do a sudo apt remove, but not sure what package is called....

The package is "gnome-shell-extension-desktop-icons"

El mié., 30 sept. 2020 17:26, John Hoff <email address hidden>
escribió:

> How do you uninstall it properly? I enabled it through the
> https://extensions.gnome.org/ page, but there is not an uninstall option
> there. It does not show up as an installed .deb in ubuntu software, so
> I am assuming we need to do a sudo apt remove, but not sure what package
> is called....
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1883174
>
> Title:
> Some desktop icons disappear
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/gnome-shell-extension-desktop-icons/+bug/1883174/+subscriptions
>

jhubuntu20 (jhubuntu20) wrote :

Nevermind, I figured out its just sudo apt remove gnome-shell-extension-desktop-icons.

I did that and its completely gone from /usr now. However, I no longer have the extension at all. I reran the steps to install the patch version and I don't see the extension, so I must be missing a step somewhere...

Don't forget to exit and enter again from gnome shell

El mié., 30 sept. 2020 17:41, John Hoff <email address hidden>
escribió:

> Nevermind, I figured out its just sudo apt remove gnome-shell-extension-
> desktop-icons.
>
> I did that and its completely gone from /usr now. However, I no longer
> have the extension at all. I reran the steps to install the patch
> version and I don't see the extension, so I must be missing a step
> somewhere...
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1883174
>
> Title:
> Some desktop icons disappear
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/gnome-shell-extension-desktop-icons/+bug/1883174/+subscriptions
>

jhubuntu20 (jhubuntu20) wrote :

I rebooted multiple times and no luck.

Here are the steps I followed :

- Used sudo apt remove gnome-shell-extension-desktop-icons to uninstall

- Deleted the folder $HOME/.local/share/gnome-shell/extensions/desktop-icons@csoriano

- Rebooted and verified it is gone all together from tweaks

- Downloaded the .zip patch file and placed in a local directory

- Rerean the Meson/Ninja commands and verified that the .local folder was recreated (I did not get any errors)

- Rebooted again.

At this point I still do not have desktop icons as a choice at all in Tweaks -> extensions. If I go to the website (https://extensions.gnome.org/) then it is not listed in the installed extensions list. If I search for it and try to turn it on with the web page I get a message that says "Can't install "desktop-icons@csoriano" : This is an extension enabled by your current mode, you can't install manually any update in that session"

So basically I am stuck with no option to turn it back on. I suspect I can just run sudo apt install and readd that way, but it will be the same /usr install. Am I missing something?

Oh, ok... Now I understand. You simply can't install the official desktop
icons in the Ubuntu session. You must install gnome-session, choose gnome
shell session instead of Ubuntu session when logging, and there you can use
the extensions.

Of course, you may want to also install dash-to-dock, that gives you the
left dock, and kstatusNotifier.

El mié., 30 sept. 2020 20:11, John Hoff <email address hidden>
escribió:

> I rebooted multiple times and no luck.
>
> Here are the steps I followed :
>
> - Used sudo apt remove gnome-shell-extension-desktop-icons to uninstall
>
> - Deleted the folder $HOME/.local/share/gnome-shell/extensions/desktop-
> icons@csoriano
>
> - Rebooted and verified it is gone all together from tweaks
>
> - Downloaded the .zip patch file and placed in a local directory
>
> - Rerean the Meson/Ninja commands and verified that the .local folder
> was recreated (I did not get any errors)
>
> - Rebooted again.
>
> At this point I still do not have desktop icons as a choice at all in
> Tweaks -> extensions. If I go to the website
> (https://extensions.gnome.org/) then it is not listed in the installed
> extensions list. If I search for it and try to turn it on with the web
> page I get a message that says "Can't install "desktop-icons@csoriano" :
> This is an extension enabled by your current mode, you can't install
> manually any update in that session"
>
> So basically I am stuck with no option to turn it back on. I suspect I
> can just run sudo apt install and readd that way, but it will be the
> same /usr install. Am I missing something?
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1883174
>
> Title:
> Some desktop icons disappear
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/gnome-shell-extension-desktop-icons/+bug/1883174/+subscriptions
>

jhubuntu20 (jhubuntu20) wrote :

I am not sure I am following. To be clearer, I have multiple other extensions installed and they all work fine... specifically unite, walkpaper, user themes and workspace indicator. It is just the desktop icons one that I can't install or work with. I do already have gnome-shell-extensions installed...

Yes, I understand. But it seems that the ubuntu session blocks new
versions from extensions.gnome.org. AFAIK, they did that to avoid a new
version from the repository to overwrite the official, tested one. So it
seems that you will need to use the gnome shell session instead. But the
other extensions will work in both sessions, at most you will only have
to enable them again.

El 30/9/20 a las 20:36, John Hoff escribió:
> I am not sure I am following. To be clearer, I have multiple other
> extensions installed and they all work fine... specifically unite,
> walkpaper, user themes and workspace indicator. It is just the desktop
> icons one that I can't install or work with. I do already have gnome-
> shell-extensions installed...
>

jhubuntu20 (jhubuntu20) wrote :

Sergio,

So... I think I followed your last comment and did some more research.. If I can try to summarize briefly, what your saying is that to understand if your new patch works (which I believe is the goal so that ultimately it might be moved forward), we need to prove that it solves our issue. When using gnome 3.x on an Ubuntu system, by default you are given an "ubuntu session" where the folks at cannocial have packed together and tested as a bundle a few tweaks/extensions to vanilla gnome to simplify things for users and to promote their branding. For any extensions that I chose to add after that I have complete control to update and add/remove. For the standard few they included (which includes desktop icons) I don't have the ability to update or change them. Any updates would need to be pushed through by cannocial as bundle package updates. Alternatively, I need to do an install of the vanilla gnome packages (because gnome is not currently an option on the login screen), then chose that session type on login (along with setting everything up again).

Given how much work I have done just to get my system mostly functional I am reluctant to change session types on my primary account, so I had an alternate idea of just creating a new, second user on the system and then making the changes there. Before I even started with installing vanilla gnome, I first created a new user and then logged in with it using a standard ubuntu session. I then setup my same few extensions and ran a test to prove I had the issue (so I could know for sure if/when it was fixed). Oddly, I can't get desktop icons to break in the new user account. It works fine after numerous tests. Its frustrating, but this leads me to believe that there is some form of conflict between desktop icons and the (literally) hundreds of this I have installed over time in my main account. It must be a common thing that many users of ubuntu install or configure because there do seem to be many people here with the same complaint.

AFAIK, if you launch a gnome session, and then you return to the ubuntu session, you shouldn't lost your configuration. So maybe you can do a test in the gnome shell session to check if the patch works, thus allowing canonical to integrate it, but use the ubuntu session for your day-to-day work. Someone here that confirms this?

jhubuntu20 (jhubuntu20) wrote :

OK, made more progress.

First, I was finally able to reproduce the issue in the new account. For my initial test I just created 4 or 5 very small text files. On my regular desktop I have a much larger text file that is 39kb with 1100+ lines. The size of the file is what makes it break, which points to exactly what Andre mentions above. If you create a large text file on your desktop you should be able to see the issue yourself.

I then proceeded with our test. I installed vanilla gnome, uninstalled the /usr version of desktop icons, and then rebooted. At login I selected a Gnome session for the new account. I then went through the meson/ninja procedure to install your patch version. The good news is it did install now and it does keep the icons from disappearing. The only sub-optimal part is that the icons don't stay in place and move around on the desktop each time you hit save. Still a big improvement, but ideally the icons wouldn't move around.

Just a side note, while testing to break the other account I did also try an .ods file. It never did disappear, but has the same issue with not staying in the exact place where I positioned (i.e. on each save action it would jump around)...

Good news, then. Also, this means that, maybe, now I can reproduce the bug.

jhubuntu20 (jhubuntu20) wrote :

Just FYI for anyone that stumbles upon this thread. In Ubuntu 20.04, if you want to work around the issue for now it can be done by placing your preferred desktop files in the home (or any other) folder and just placing link files to those files on your desktop. When you do this you can still double click and edit files directly from the desktop, but when you save it doesn't lose or move around the desktop files. It even eliminates the flicker.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.